Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class VersionOneToVersionTwoUpgrader

    java.lang.Object
      com.atlassian.bamboo.upgrader.VersionOneToVersionTwoUpgrader

All Implemented Interfaces:
  Upgrader

    public class VersionOneToVersionTwoUpgrader

extends Object
implements Upgrader

This class updgrades version one build files to version two build files.

Handles the renaming of the CVS repository class. Now use alias' to avoid this in the future.

Constructor Summary
`VersionOneToVersionTwoUpgrader(File buildDirectory)` Convert the files in the system xml data directory from version one to version two

Method Summary
`protected void` | `updateBuildFile(File buildFile)` Add cvsModule directly below: cvsRoot Then add bamboo <--- the build name CVS is the first attribute of it...
`void` | `upgrade()` Updgrade the build and configuration files one version

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionOneToVersionTwoUpgrader

    public VersionOneToVersionTwoUpgrader(File buildDirectory)

  Convert the files in the system xml data directory from version one to version two

  Parameters:
    `buildDirectory` - The location of the build data files

Method Detail

### upgrade

    public void upgrade()

  Updgrade the build and configuration files one version

  Specified by:
    `upgrade` in interface `Upgrader`

### updateBuildFile

    protected void updateBuildFile(File buildFile)

  Add cvsModule

  directly below:

  cvsRoot

  Then add

  bamboo <--- the build name CVS is the first attribute of it...

  directly above the next

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.